Page MenuHomeFreeBSD

kerberos(8): Replace dead link to FAQ
ClosedPublic

Authored by ygy on Dec 18 2020, 12:31 PM.

Details

Reviewers
bjk
bcr
Group Reviewers
manpages
docs
Summary

kerberos.8: Replace dead link

Replace it with a tutorial hosted on kerberos.org and the classic
"dialogue" from Bill Bryant. The change has been reported and
merged upstream (https://github.com/heimdal/heimdal/commit/7f3445f1b7).

PR: 251854
Reported by: ktullavik@gmail.com
Submitted by: bjk (upstream github)

Diff Detail

Repository
rG FreeBSD src repository
Lint
Lint Skipped
Unit
Unit Tests Skipped

Event Timeline

ygy requested review of this revision.Dec 18 2020, 12:31 PM

For something as specific as kerberos, I think it makes sense to link to the internet archive of the page, rather than getting rid of the link as it's not typically something that people would easily find on their own.

@bjk: Can you comment on this? When I think "Kerberos and FreeBSD", you come to mind. ;-)

BTW there is also http://www.faqs.org/faqs/kerberos-faq/general/ but I am not sure which link is more authoritative.

BTW there is also http://www.faqs.org/faqs/kerberos-faq/general/ but I am not sure which link is more authoritative.

Nice find! Though, the archive.org one has a slightly better interface (with links) and is less likely to go away soon (IMO).

If I hear no objections in a week, I am going to commit the change with the internet archive version ;)

In D27668#618491, @bcr wrote:

@bjk: Can you comment on this? When I think "Kerberos and FreeBSD", you come to mind. ;-)

Yes, I can comment :-)

First, I note that this file is from Heimdal upstream and so whatever we do it would be good to also contribute it back. Pull requests to https://github.com/heimdal/heimdal are well-received (the file is lib/krb5/kerberos.8).

Second, I took a look through the archive.org version and I'd say that about half of the entries are so old/stale so as to be harmful. Furthermore, the FAQ focuses on MIT krb5 when giving configuration snippets and commands, many of which are not applicable to the Heimdal implementation that is supposed to be getting documented.

So, my recommendation would be to link to the informal introduction at https://web.mit.edu/kerberos/dialogue.html and the tutorial at https://kerberos.org/software/tutorial.html in lieu of Ken Hornstein's FAQ (whether at archive.org or faqs.org). I can try to write up a patch to do that if you want.

In D27668#619201, @bjk wrote:

First, I note that this file is from Heimdal upstream and so whatever we do it would be good to also contribute it back. Pull requests to https://github.com/heimdal/heimdal are well-received (the file is lib/krb5/kerberos.8).

Second, I took a look through the archive.org version and I'd say that about half of the entries are so old/stale so as to be harmful. Furthermore, the FAQ focuses on MIT krb5 when giving configuration snippets and commands, many of which are not applicable to the Heimdal implementation that is supposed to be getting documented.

So, my recommendation would be to link to the informal introduction at https://web.mit.edu/kerberos/dialogue.html and the tutorial at https://kerberos.org/software/tutorial.html in lieu of Ken Hornstein's FAQ (whether at archive.org or faqs.org). I can try to write up a patch to do that if you want.

Thanks for the useful comment! I've opened an issue at https://github.com/heimdal/heimdal/issues/766, if you feel like writing a patch to get it merged upstream, I would be happy to import it back ;)

ygy planned changes to this revision.Dec 25 2020, 6:35 PM
ygy edited the summary of this revision. (Show Details)
ygy added a reviewer: bjk.
ygy removed a subscriber: bjk.

Now that the PR has been merged upstream, import the change back.

I get the following exception from Phabricator upon loading this review:
Found unknown intradiff source line, expected a line beginning with "+", "-", or " " (space): \ No newline at end of file

In D27668#680060, @bcr wrote:

I get the following exception from Phabricator upon loading this review:
Found unknown intradiff source line, expected a line beginning with "+", "-", or " " (space): \ No newline at end of file

@bcr Interesting... It is fine on my end, no errors. Where did you see this message?

In D27668#680170, @ygy wrote:
In D27668#680060, @bcr wrote:

I get the following exception from Phabricator upon loading this review:
Found unknown intradiff source line, expected a line beginning with "+", "-", or " " (space): \ No newline at end of file

@bcr Interesting... It is fine on my end, no errors. Where did you see this message?

It was when I clicked the Phabricator link in my inbox. The review opened as normal, but then a popup message from the same website (the review faded in the background) told me that message. Interestingly enough, it is gone now.

OK from manpages. Thanks for the update!

This revision is now accepted and ready to land.May 15 2021, 6:52 PM